import { request, getRequestParameter } from '@/utils/request';

/**
 * @description 登录
 * @param {Object} Parameter 登录对象 { user_type 用户类型 user_name 用户登录名 password 用户密码 }
 */
export function login(Parameter) {
  return request({
    method: 'post',
    url: process.env.VUE_APP_WEB_SI,
    params: {
      MethodName: 'login_control-Login',
      Parameter: Parameter
    }
  });
}

/**
 * @description 用户更换语言类型
 * @param {Object} Parameter { language_type 语言类型 }
 */
export function updateLanguageType(Parameter) {
  let params = getRequestParameter('login_control-UpdateLanguageType', Parameter);
  return request({
    method: 'post',
    url: process.env.VUE_APP_WEB_SI,
    params
  });
}
