import router from './router';
import { getSessionID } from '@/utils/auth';

import NProgress from 'nprogress';
import 'nprogress/nprogress.css';

NProgress.configure({ showSpinner: false });

const whiteList = ['/login']; // 重定向白名单

// 全局前置守卫
router.beforeEach(async (to, from, next) => {
  NProgress.start();

  const session_id = getSessionID();
  if (session_id) {
    if (to.path === '/login') {
      next({ path: '/' });
      NProgress.done();
    } else {
      next();
    }
  } else if (whiteList.indexOf(to.path) !== -1) {
    // 在登录白名单中，直接进入
    next();
  } else {
    // 其他无权访问的页面将重定向到登录页面
    next(`/login?redirect=${to.path}`);
    NProgress.done();
  }
});

// 全局后置钩子
router.afterEach(() => {
  NProgress.done();
});
